package cc.smtweb.biz.mztb.web.domian;

import cc.smtweb.framework.core.annotation.SwTable;
import cc.smtweb.framework.core.db.impl.DefaultEntity;

/**
 * Created by 1 at 2023-12-19 11:07:05
 * 实体【[财务信息](PRE_FINANCE_INFO)】的Entity类
 */
public class PreFinanceInfo extends DefaultEntity {
    public static final String ENTITY_NAME = "PRE_FINANCE_INFO";

    public PreFinanceInfo() {
        super(ENTITY_NAME);
    }

    /** 主键 */
    public long getId() {
        return getLong("fi_id");
    }

    /** 主键 */
    public void setId(long fi_id) {
        put("fi_id", fi_id);
    }

    /** 填报主表ID */
    public long getFoId() {
        return getLong("fi_fo_id");
    }

    /** 填报主表ID */
    public void setFoId(long fi_fo_id) {
        put("fi_fo_id", fi_fo_id);
    }
    /** 存货 */
    public long getStock() {
        return getLong("fi_stock");
    }

    /** 存货 */
    public void setStock(long fi_stock) {
        put("fi_stock", fi_stock);
    }
    /** 固定资产原价 */
    public long getFixedAssets() {
        return getLong("fi_fixed_assets");
    }

    /** 固定资产原价 */
    public void setFixedAssets(long fi_fixed_assets) {
        put("fi_fixed_assets", fi_fixed_assets);
    }
    /** 累计折旧 */
    public long getGrandTotalDepr() {
        return getLong("fi_grand_total_depr");
    }

    /** 累计折旧 */
    public void setGrandTotalDepr(long fi_grand_total_depr) {
        put("fi_grand_total_depr", fi_grand_total_depr);
    }
    /** 累计折旧（本年折旧） */
    public long getGtdYear() {
        return getLong("fi_gtd_year");
    }

    /** 累计折旧（本年折旧） */
    public void setGtdYear(long fi_gtd_year) {
        put("fi_gtd_year", fi_gtd_year);
    }
    /** 资产总计 */
    public long getPropertyTotal() {
        return getLong("fi_property_total");
    }

    /** 资产总计 */
    public void setPropertyTotal(long fi_property_total) {
        put("fi_property_total", fi_property_total);
    }
    /** 负债合计 */
    public long getLiabilitiesTotal() {
        return getLong("fi_liabilities_total");
    }

    /** 负债合计 */
    public void setLiabilitiesTotal(long fi_liabilities_total) {
        put("fi_liabilities_total", fi_liabilities_total);
    }
    /** 营业收入 */
    public long getOperationRevenue() {
        return getLong("fi_operation_revenue");
    }

    /** 营业收入 */
    public void setOperationRevenue(long fi_operation_revenue) {
        put("fi_operation_revenue", fi_operation_revenue);
    }
    /** 营业成本 */
    public long getOperatingCosts() {
        return getLong("fi_operating_costs");
    }

    /** 营业成本 */
    public void setOperatingCosts(long fi_operating_costs) {
        put("fi_operating_costs", fi_operating_costs);
    }
    /** 营业税金及附加 */
    public long getTaxes() {
        return getLong("fi_taxes");
    }

    /** 营业税金及附加 */
    public void setTaxes(long fi_taxes) {
        put("fi_taxes", fi_taxes);
    }
    /** 销售费用 */
    public long getSellCost() {
        return getLong("fi_sell_cost");
    }

    /** 销售费用 */
    public void setSellCost(long fi_sell_cost) {
        put("fi_sell_cost", fi_sell_cost);
    }
    /** 管理费用 */
    public long getManageCost() {
        return getLong("fi_manage_cost");
    }

    /** 管理费用 */
    public void setManageCost(long fi_manage_cost) {
        put("fi_manage_cost", fi_manage_cost);
    }
    /** 管理费用（税金） */
    public long getMcTaxes() {
        return getLong("fi_mc_taxes");
    }

    /** 管理费用（税金） */
    public void setMcTaxes(long fi_mc_taxes) {
        put("fi_mc_taxes", fi_mc_taxes);
    }
    /** 管理费用（差旅费） */
    public long getMcTravel() {
        return getLong("fi_mc_travel");
    }

    /** 管理费用（差旅费） */
    public void setMcTravel(long fi_mc_travel) {
        put("fi_mc_travel", fi_mc_travel);
    }
    /** 财务费用 */
    public long getFinanceCost() {
        return getLong("fi_finance_cost");
    }

    /** 财务费用 */
    public void setFinanceCost(long fi_finance_cost) {
        put("fi_finance_cost", fi_finance_cost);
    }
    /** 财务费用（利息净支出） */
    public long getFcInterests() {
        return getLong("fi_fc_interests");
    }

    /** 财务费用（利息净支出） */
    public void setFcInterests(long fi_fc_interests) {
        put("fi_fc_interests", fi_fc_interests);
    }
    /** 资产减值损失 */
    public long getAssetLoss() {
        return getLong("fi_asset_loss");
    }

    /** 资产减值损失 */
    public void setAssetLoss(long fi_asset_loss) {
        put("fi_asset_loss", fi_asset_loss);
    }
    /** 公允价值变动收益 */
    public long getFairValueChanage() {
        return getLong("fi_fair_value_chanage");
    }

    /** 公允价值变动收益 */
    public void setFairValueChanage(long fi_fair_value_chanage) {
        put("fi_fair value_chanage", fi_fair_value_chanage);
    }
    /** 投资收益 */
    public long getIncomeFromInvestment() {
        return getLong("fi_income_from_investment");
    }

    /** 投资收益 */
    public void setIncomeFromInvestment(long fi_income_from_investment) {
        put("fi_income_from_investment", fi_income_from_investment);
    }
    /** 营业利润 */
    public long getOperatingProfit() {
        return getLong("fi_operating_profit");
    }

    /** 营业利润 */
    public void setOperatingProfit(long fi_operating_profit) {
        put("fi_operating_profit", fi_operating_profit);
    }
    /** 营业外收入 */
    public long getNonbusinessIncome() {
        return getLong("fi_nonbusiness_income");
    }

    /** 营业外收入 */
    public void setNonbusinessIncome(long fi_nonbusiness_income) {
        put("fi_nonbusiness_income", fi_nonbusiness_income);
    }
    /** 营业外收入（政府补助） */
    public long getNiPublicSubsidy() {
        return getLong("fi_ni_public_subsidy");
    }

    /** 营业外收入（政府补助） */
    public void setNiPublicSubsidy(long fi_ni_public_subsidy) {
        put("fi_ni_public_subsidy", fi_ni_public_subsidy);
    }
    /** 应付职工底薪 */
    public long getBasePay() {
        return getLong("fi_base_pay");
    }

    /** 应付职工底薪 */
    public void setBasePay(long fi_base_pay) {
        put("fi_base_pay", fi_base_pay);
    }
    /** 本年应交增值税 */
    public long getPayableMoneyYear() {
        return getLong("fi_payable_money_year");
    }

    /** 本年应交增值税 */
    public void setPayableMoneyYear(long fi_payable_money_year) {
        put("fi_payable_money_year", fi_payable_money_year);
    }
    /** 本年收入合计 */
    public long getYearIncomeTotal() {
        return getLong("fi_year_income_total");
    }

    /** 本年收入合计 */
    public void setYearIncomeTotal(long fi_year_income_total) {
        put("fi_year_income_total", fi_year_income_total);
    }
    /** 本年收入合计（事业收入） */
    public long getYitEnterpricse() {
        return getLong("fi_yit_enterpricse");
    }

    /** 本年收入合计（事业收入） */
    public void setYitEnterpricse(long fi_yit_enterpricse) {
        put("fi_yit_enterpricse", fi_yit_enterpricse);
    }
    /** 本年收入合计（捐赠收入） */
    public long getYitDonation() {
        return getLong("fi_yit_donation");
    }

    /** 本年收入合计（捐赠收入） */
    public void setYitDonation(long fi_yit_donation) {
        put("fi_yit_donation", fi_yit_donation);
    }
    /** 本年收入合计（经营收入） */
    public long getYitBusiness() {
        return getLong("fi_yit_business");
    }

    /** 本年收入合计（经营收入） */
    public void setYitBusiness(long fi_yit_business) {
        put("fi_yit_business", fi_yit_business);
    }
    /** 本年收入合计（政府补助收入） */
    public long getYitSubsidy() {
        return getLong("fi_yit_subsidy");
    }

    /** 本年收入合计（政府补助收入） */
    public void setYitSubsidy(long fi_yit_subsidy) {
        put("fi_yit_subsidy", fi_yit_subsidy);
    }
    /** 本年收入合计（会费收入） */
    public long getYitMembershiopFees() {
        return getLong("fi_yit_membershiop_fees");
    }

    /** 本年收入合计（会费收入） */
    public void setYitMembershiopFees(long fi_yit_membershiop_fees) {
        put("fi_yit_membershiop_fees", fi_yit_membershiop_fees);
    }
    /** 本年支出合计 */
    public long getYearExpend() {
        return getLong("fi_year_expend");
    }

    /** 本年支出合计 */
    public void setYearExpend(long fi_year_expend) {
        put("fi_year_expend", fi_year_expend);
    }
    /** 本年支出合计（商品和服务支出） */
    public long getYeCommodityService() {
        return getLong("fi_ye_commodity_service");
    }

    /** 本年支出合计（商品和服务支出） */
    public void setYeCommodityService(long fi_ye_commodity_service) {
        put("fi_ye_commodity_service", fi_ye_commodity_service);
    }
    /** 商品和服务支出（取暖费） */
    public long getCsHeatingFee() {
        return getLong("fi_cs_heating_fee");
    }

    /** 商品和服务支出（取暖费） */
    public void setCsHeatingFee(long fi_cs_heating_fee) {
        put("fi_cs_heating_fee", fi_cs_heating_fee);
    }
    /** 商品和服务支出（差旅费） */
    public long getCsTravelExpense() {
        return getLong("fi_cs_travel_expense");
    }

    /** 商品和服务支出（差旅费） */
    public void setCsTravelExpense(long fi_cs_travel_expense) {
        put("fi_cs_travel_expense", fi_cs_travel_expense);
    }
    /** 商品和服务支出（因公出国 / 境费） */
    public long getCsGoAbroad() {
        return getLong("fi_cs_go_abroad");
    }

    /** 商品和服务支出（因公出国 / 境费） */
    public void setCsGoAbroad(long fi_cs_go_abroad) {
        put("fi_cs_go_abroad", fi_cs_go_abroad);
    }
    /** 商品和服务支出（劳务费） */
    public long getCsServiceFee() {
        return getLong("fi_cs_service_fee");
    }

    /** 商品和服务支出（劳务费） */
    public void setCsServiceFee(long fi_cs_service_fee) {
        put("fi_cs_service_fee", fi_cs_service_fee);
    }
    /** 商品和服务支出（工会经费） */
    public long getCsExpend() {
        return getLong("fi_cs_expend");
    }

    /** 商品和服务支出（工会经费） */
    public void setCsExpend(long fi_cs_expend) {
        put("fi_cs_expend", fi_cs_expend);
    }
    /** 商品和服务支出（福利费） */
    public long getCsWeal() {
        return getLong("fi_cs_weal");
    }

    /** 商品和服务支出（福利费） */
    public void setCsWeal(long fi_cs_weal) {
        put("fi_cs_weal", fi_cs_weal);
    }
    /** 本年支出合计（对个人和家庭补助支出） */
    public long getYcsPersonageFamilyFee() {
        return getLong("fi_ycs_personage_family_fee");
    }

    /** 本年支出合计（对个人和家庭补助支出） */
    public void setYcsPersonageFamilyFee(long fi_ycs_personage_family_fee) {
        put("fi_ycs_personage_family_fee", fi_ycs_personage_family_fee);
    }
    /** 对个人和家庭补助支出（抚恤金） */
    public long getPffFuxue() {
        return getLong("fi_pff_fuxue");
    }

    /** 对个人和家庭补助支出（抚恤金） */
    public void setPffFuxue(long fi_pff_fuxue) {
        put("fi_pff_fuxue", fi_pff_fuxue);
    }
    /** 对个人和家庭补助支出（生活补助） */
    public long getPffLivingSubsidy() {
        return getLong("fi_pff_living_subsidy");
    }

    /** 对个人和家庭补助支出（生活补助） */
    public void setPffLivingSubsidy(long fi_pff_living_subsidy) {
        put("fi_pff_living_subsidy", fi_pff_living_subsidy);
    }
    /** 对个人和家庭补助支出（救济费） */
    public long getPffRelief() {
        return getLong("fi_pff_relief");
    }

    /** 对个人和家庭补助支出（救济费） */
    public void setPffRelief(long fi_pff_relief) {
        put("fi_pff_relief", fi_pff_relief);
    }
    /** 对个人和家庭补助支出（助学金） */
    public long getPffStudentGrent() {
        return getLong("fi_pff_student_grent");
    }

    /** 对个人和家庭补助支出（助学金） */
    public void setPffStudentGrent(long fi_pff_student_grent) {
        put("fi_pff_student_grent", fi_pff_student_grent);
    }
    /** 对个人和家庭补助支出（奖励金） */
    public long getPffBounty() {
        return getLong("fi_pff_bounty");
    }

    /** 对个人和家庭补助支出（奖励金） */
    public void setPffBounty(long fi_pff_bounty) {
        put("fi_pff_bounty", fi_pff_bounty);
    }
    /** 对个人和家庭补助支出（生产补贴） */
    public long getPffSubsidy() {
        return getLong("fi_pff_subsidy");
    }

    /** 对个人和家庭补助支出（生产补贴） */
    public void setPffSubsidy(long fi_pff_subsidy) {
        put("fi_pff_subsidy", fi_pff_subsidy);
    }
    /** 本年支出合计（工资福利支出） */
    public long getYcsSalary() {
        return getLong("fi_ycs_salary");
    }

    /** 本年支出合计（工资福利支出） */
    public void setYcsSalary(long fi_ycs_salary) {
        put("fi_ycs_salary", fi_ycs_salary);
    }
    /** 本年支出合计（经营支出） */
    public long getYcsOperatingExpense() {
        return getLong("fi_ycs_operating_expense");
    }

    /** 本年支出合计（经营支出） */
    public void setYcsOperatingExpense(long fi_ycs_operating_expense) {
        put("fi_ycs_operating_expense", fi_ycs_operating_expense);
    }
    /** 销售税金 */
    public long getSellFee() {
        return getLong("fi_sell_fee");
    }

    /** 销售税金 */
    public void setSellFee(long fi_sell_fee) {
        put("fi_sell_fee", fi_sell_fee);
    }
    /** 本年费用合计 */
    public long getYearSumFee() {
        return getLong("fi_year_sum_fee");
    }

    /** 本年费用合计 */
    public void setYearSumFee(long fi_year_sum_fee) {
        put("fi_year_sum_fee", fi_year_sum_fee);
    }
    /** 本年费用合计（业务活动成本） */
    public long getYsfBusinessFee() {
        return getLong("fi_ysf_business_fee");
    }

    /** 本年费用合计（业务活动成本） */
    public void setYsfBusinessFee(long fi_ysf_business_fee) {
        put("fi_ysf_business_fee", fi_ysf_business_fee);
    }
    /** 业务活动成本（人员费用） */
    public long getBfStaffCosts() {
        return getLong("fi_bf_staff_costs");
    }

    /** 业务活动成本（人员费用） */
    public void setBfStaffCosts(long fi_bf_staff_costs) {
        put("fi_bf_staff_costs", fi_bf_staff_costs);
    }
    /** 业务活动成本（日常费用） */
    public long getBfEveryDayFee() {
        return getLong("fi_bf_every_day_fee");
    }

    /** 业务活动成本（日常费用） */
    public void setBfEveryDayFee(long fi_bf_every_day_fee) {
        put("fi_bf_every_day_fee", fi_bf_every_day_fee);
    }
    /** 业务活动成本（固定资产折旧） */
    public long getBfAssets() {
        return getLong("fi_bf_assets");
    }

    /** 业务活动成本（固定资产折旧） */
    public void setBfAssets(long fi_bf_assets) {
        put("fi_bf_assets", fi_bf_assets);
    }
    /** 业务活动成本（税费） */
    public long getBfTax() {
        return getLong("fi_bf_tax");
    }

    /** 业务活动成本（税费） */
    public void setBfTax(long fi_bf_tax) {
        put("fi_bf_tax", fi_bf_tax);
    }
    /** 本年费用合计（管理费用） */
    public long getYsfMenageFee() {
        return getLong("fi_ysf_menage_fee");
    }

    /** 本年费用合计（管理费用） */
    public void setYsfMenageFee(long fi_ysf_menage_fee) {
        put("fi_ysf_menage_fee", fi_ysf_menage_fee);
    }
    /** 管理费用（人员费用） */
    public long getMfStaffCosts() {
        return getLong("fi_mf_staff_costs");
    }

    /** 管理费用（人员费用） */
    public void setMfStaffCosts(long fi_mf_staff_costs) {
        put("fi_mf_staff_costs", fi_mf_staff_costs);
    }
    /** 管理费用（日常费用） */
    public long getMfEveryDayFee() {
        return getLong("fi_mf_every_day_fee");
    }

    /** 管理费用（日常费用） */
    public void setMfEveryDayFee(long fi_mf_every_day_fee) {
        put("fi_mf_every_day_fee", fi_mf_every_day_fee);
    }
    /** 管理费用（固定资产折旧） */
    public long getMfAssets() {
        return getLong("fi_mf_assets");
    }

    /** 管理费用（固定资产折旧） */
    public void setMfAssets(long fi_mf_assets) {
        put("fi_mf_assets", fi_mf_assets);
    }
    /** 管理费用（税费） */
    public long getMfTax() {
        return getLong("fi_mf_tax");
    }

    /** 管理费用（税费） */
    public void setMfTax(long fi_mf_tax) {
        put("fi_mf_tax", fi_mf_tax);
    }
    /** 净资产变动额 */
    public long getChangeInNotAssets() {
        return getLong("fi_change_in_not_assets");
    }

    /** 净资产变动额 */
    public void setChangeInNotAssets(long fi_change_in_not_assets) {
        put("fi_change_in_not_assets", fi_change_in_not_assets);
    }
}
